Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.application
Class ModuleBaseTerminal

    java.lang.Object
      java.awt.event.WindowAdapter
          com.mindbright.application.ModuleBaseTerminal

All Implemented Interfaces:
  java.util.EventListener, MindTermModule, java.lang.Runnable, TerminalMenuListener, java.awt.event.WindowFocusListener, java.awt.event.WindowListener, java.awt.event.WindowStateListener

Direct Known Subclasses:
  ModuleDebugConsoleImpl, ModuleTelnetImpl, ModuleTerminalImpl

public abstract class ModuleBaseTerminal
extends java.awt.event.WindowAdapter
implements MindTermModule, java.lang.Runnable, TerminalMenuListener

Field Summary
`protected MindTermApp` | `mindterm`

Constructor Summary
`ModuleBaseTerminal()`

Method Summary
`void` | `activate(MindTermApp mindterm)`
`void` | `close(TerminalMenuHandler originMenu)` Called when the user has selected close in the menu
`protected abstract boolean` | `closeOnDisconnect()`
`void` | `connected(MindTermApp mindterm)`
`java.lang.String` | `description(MindTermApp mindterm)`
`void` | `disconnected(MindTermApp mindterm)`
`protected abstract void` | `doClose()`
`protected TerminalMenuHandler` | `getTerminalMenuHandler(java.awt.Frame frame)`
`protected abstract java.lang.String` | `getTitle()`
`protected boolean` | `haveMenus()`
`void` | `init(MindTermApp mindterm)`
`protected abstract ModuleBaseTerminal` | `newInstance()`
`void` | `run()`
`protected abstract void` | `runTerminal(MindTermApp mindterm, TerminalWindow terminal, java.awt.Frame frame, TerminalFrameTitle frameTitle)`
`void` | `update()` Called when the menu is updated
`protected boolean` | `useChaff()`
`void` | `windowClosing(java.awt.event.WindowEvent e)`

Methods inherited from class java.awt.event.WindowAdapter
`windowActivated, windowClosed, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowOpened, windowStateChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.mindbright.application.MindTermModule
`isAvailable`

Field Detail

### mindterm

    protected MindTermApp mindterm

Constructor Detail

### ModuleBaseTerminal

    public ModuleBaseTerminal()

Method Detail

### init

    public void init(MindTermApp mindterm)

  Specified by:
    `init` in interface `MindTermModule`

### haveMenus

    protected boolean haveMenus()

### useChaff

    protected boolean useChaff()

### activate

    public void activate(MindTermApp mindterm)

  Specified by:
    `activate` in interface `MindTermModule`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### getTerminalMenuHandler

    protected TerminalMenuHandler getTerminalMenuHandler(java.awt.Frame frame)

### connected

    public void connected(MindTermApp mindterm)

  Specified by:
    `connected` in interface `MindTermModule`

### disconnected

    public void disconnected(MindTermApp mindterm)

  Specified by:
    `disconnected` in interface `MindTermModule`

### description

    public java.lang.String description(MindTermApp mindterm)

  Specified by:
    `description` in interface `MindTermModule`

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent e)

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`

### close

    public void close(TerminalMenuHandler originMenu)

  Description copied from interface: `TerminalMenuListener`
  Called when the user has selected close in the menu

  Specified by:
    `close` in interface `TerminalMenuListener`
  Parameters:
    `originMenu` - the menu where close was selected

### update

    public void update()

  Description copied from interface: `TerminalMenuListener`
  Called when the menu is updated

  Specified by:
    `update` in interface `TerminalMenuListener`

### runTerminal

    protected abstract void runTerminal(MindTermApp mindterm,
                                        TerminalWindow terminal,
                                        java.awt.Frame frame,
                                        TerminalFrameTitle frameTitle)

### closeOnDisconnect

    protected abstract boolean closeOnDisconnect()

### getTitle

    protected abstract java.lang.String getTitle()

### doClose

    protected abstract void doClose()

### newInstance

    protected abstract ModuleBaseTerminal newInstance()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD